Bug 1857389 - Cleanup GNOME Hidden Boot Menu Integration
Summary: Cleanup GNOME Hidden Boot Menu Integration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F33Changes
TreeView+ depends on / blocked
 
Reported: 2020-07-15 19:01 UTC by Ben Cotton
Modified: 2020-10-27 14:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 14:47:32 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2020-07-15 19:01:44 UTC
This is a tracking bug for Change: Cleanup GNOME Hidden Boot Menu Integration
For more details, see: https://fedoraproject.org/wiki/Changes/CleanupGnomeHiddenBootMenuIntegration

GNOME integrates with Fedora's hidden boot menu feature to signal to the bootloader that boot was successful and to request the menu to be shown the next boot when "Boot Options" is selected in the Shutdown/Reboot dialog. Currently Fedora carries downstream patches for this, which directly call the Fedora specific grub2-set-bootflag helper. The goal of this change is to replace these downstream patches with a clean bootloader agnostic solution which can be submitted upstream.

Comment 1 Ben Cotton 2020-08-11 14:42:16 UTC
Branching F33 Change Tracker bugs.

Today is the code complete (testable) deadline. All bugs should be at least in MODIFIED state by now to indicate they are testable.

Comment 2 Hans de Goede 2020-08-11 16:11:30 UTC
As described in the Changes page this change deals with 2 cleaning up 2 related, but independent code paths:

1. Requesting the menu to be shown the next boot when "Boot Options" is selected in the Shutdown/Reboot dialog.
2. Signalling the bootloader that the boot was successful.

Both of which currently require downstream GNOME changes in Fedora.

1. has been resolved and the changes for this have landed in upstream GNOME.
2. Requires more upstream discussion so cleaning this up has been postponed to a future Fedora release.

So for Fedora 33 the plan has been changed to just land the cleanup of 1., which has happened -> changing status to modified.

Comment 3 Ben Cotton 2020-08-27 01:11:53 UTC
Yesterday we reached the Code complete (100% code complete) deadline for Fedora 33 Changes. If your Change is complete, please set this tracking bug to ON_QA. If you need to defer this Change to Fedora 34, please let NEEDINFO me.

As a reminder, we are now in the Beta Freeze. If you need to land package updates, please propose it as a Freeze Exception at https://qa.fedoraproject.org/blockerbugs/propose_bug

Comment 4 Ben Cotton 2020-10-27 14:47:32 UTC
Closing tracking bugs for F33. If your change didn't make it into F33 for some reason, please reopen this and NEEDINFO me.


Note You need to log in before you can comment on or make changes to this bug.